Loading...
Searching...
No Matches
Ogre::Property< T > Class Template Reference
Optional Components » Property

Property instance with passthrough calls to a given object. More...

`#include <OgreProperty.h>`

Inheritance diagram for Ogre::Property< T >:
[legend]

## Public Types

typedef function< T(void) > | getter_func
typedef function< void(T) > | setter_func
typedef T | value_type

## Public Member Functions

| Property (PropertyDef *def, getter_func getter, setter_func setter)
| Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors.
virtual T | get () const
Ogre::Any | getValue () const override
| Return the current value as an Any.
virtual void | set (T val)
| Set the property value.
Public Member Functions inherited from Ogre::PropertyBase
| PropertyBase (PropertyDef *def)
| Constructor.
virtual | ~PropertyBase ()
const String & | getDescription () const
| Get the description of the property.
const String & | getName () const
| Get the name of the property.
PropertyType | getType () const
| Get the type of the property.

## Detailed Description

template<typename T>
class Ogre::Property< T >

Property instance with passthrough calls to a given object.

## Member Typedef Documentation

## value_type

template<typename T>

typedef T Ogre::Property< T >::value_type

## getter_func

template<typename T>

typedef function< T (void) > Ogre::Property< T >::getter_func

## setter_func

template<typename T>

typedef function< void (T) > Ogre::Property< T >::setter_func

## Constructor & Destructor Documentation

## Property()

template<typename T>

Ogre::Property< T >::Property | ( | PropertyDef * | def,
|  | getter_func | getter,
|  | setter_func | setter )

inline

Construct a property which is able to directly call a given getter and setter on a specific object instance, via functors.

References Ogre::PropertyBase::PropertyBase().

## Member Function Documentation

## set()

template<typename T>

virtual void Ogre::Property< T >::set | ( | T | val | ) |

inline virtual

Set the property value.

## get()

template<typename T>

virtual T Ogre::Property< T >::get | ( |  | ) | const

inline virtual

Referenced by getValue().

## getValue()

template<typename T>

Ogre::Any Ogre::Property< T >::getValue | ( |  | ) | const

inline override virtual

Return the current value as an Any.

Implements Ogre::PropertyBase.

References get().

The documentation for this class was generated from the following file:

- OgreProperty.h